Bug 138976 - Hang/Crash on first load of sata_via driver
Hang/Crash on first load of sata_via driver
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 05:40 EST by Simon Banks
Modified: 2013-07-02 22:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Banks 2004-11-12 05:40:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When attempting to install FC3 from CD on my ABIT KV7 (Via chipset)
the install hangs (not even a capslock or numlock) after the sata_via
driver is loaded.

My system is a Athlon 2400 CPU has 1 gig of memory and the following
drives:-

PATA Maxtor 2B020H1 (20 gigs)
PATA Maxtor 6Y120L0 (120 gigs)
SATA Maxtor 6Y080M0 (80 gigs)
SATA Westen Dig WD2500JD-006  (250 gigs)

The system is currently running FC1 successfuly and FC2 gives me "Lost
interupt" when its gets to the SATA drives on boot of either the
installer or the OS.  I've also tried a test install of WindozeXP and
it detects and installs without crashing.

I've played around with drive combinations and it appears to be the
western dig drive that is the trigger for this problem. 

Version-Release number of selected component (if applicable):
Unknown version has install procedure locks up

How reproducible:
Always

Steps to Reproduce:
1.Boot system sing FC3 install disk
2.Go through install proceedure until the installer loads the sata_via
driver

    

Actual Results:  Machine is completely hung

Expected Results:  I would have expected to install FC3 and use all
four of my drives

Additional info:

I notice that there are some flash updates for my VIA board, since
they problem only appears to occur when I have the western dig drive
plugged in I guess it may be some kind of incompatibility between VIA
and WD. Although that really doesn't explain why FC1 and XP appear to
function without a poblem/
Comment 1 Simon Banks 2004-11-12 06:00:41 EST
Oops!, In my original error report I make out that I can toggle the
problem be disabling and enabling the western digital SATA drive. When
in fact its the Maxtor 80Gig drive that seems to trigger the hang.

My apologies
Comment 2 Simon Banks 2004-11-19 06:18:34 EST
In an attempt to resove the problem, I've flash updated to the latest
KV7 bios (I was on version 13) and not I'm running version 17. 

Fedora Core 3 still hangs completely after its loaded the sata_via driver.
Comment 3 Dave Jones 2005-07-15 14:49:06 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 21:05:10 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.